Zoltan User's Guide | Next | Previous
Note: See also hypergraph partitioning.

## Graph partitioning

Zoltan performs graph partitioning when the LB_METHOD parameter is set to GRAPH. Zoltan provides three packages capable of partitioning a graph. The package is chosen by setting the GRAPH_PACKAGE parameter. Two packages (ParMetis and Scotch) are external packages and not part of Zoltan but accessible via Zoltan. The last package is PHG, Zoltan's native hypergraph partitioner. PHG will treat the graph as a regular hypergraph with edge size two. Since PHG was designed for general hypergraphs, it is usually slower than graph partitioners but often produces better quality.

Method String: | GRAPH
Parameters: |
GRAPH_PACKAGE | The software package to use in partitioning the graph. PHG (default) ParMETIS Scotch/PT-Scotch

[Table of Contents | Next: Graph vs. Hypergraph Partitioning | Previous: PaToH Hypergraph Partitioning | Privacy and Security]